html, body {
    width: 100%;
    height: 100%;
    font-size: 14px;
    background-color: #F2F2F2;
    line-height: 1em;
    color: #555555;
}

.ui-autocomplete {
    max-height: 250px;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
    min-width: 500px;
    z-index: 1500;
}

.full-width {
    width: 100%;
}

form {
    /* reset de chrome'*/
    margin-block-end: 0;
    /* reset de Safari'*/
    margin-bottom: 0;
}

a {
    color: inherit;
}

a:hover {
    color: #fe8815;
}

.form-control::placeholder {
    color: darkgrey;
    opacity: 1;
}

.form-group label {
    font-weight: bold;
}

#wrapper {
    display: flex;
    flex-flow: row nowrap;
    flex-grow: 1;
    justify-content: flex-start;
    align-items: flex-start;

    padding: 0;
    margin: 0;
    min-width: 100%;
    min-height: 100%;
    height: 100%;
    overflow: hidden;
    background-color: transparent;

}

/* Default, hidden. Add toggled to show*/
#sidebar-wrapper {
    order: 1;
    flex-shrink: 0;
    flex-grow: 1;
    background-color: #FFF;
    padding: 0 0 20px 0;
    margin: 0;
    width: 100%;
    max-width: 275px;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    transition: all 0.25s ease;

    overflow-y: auto;
    overflow-x: hidden;
    min-height: 100%;
    height: 100%;
    /*padding-bottom: 20px;*/
    /*border-right: 1px solid #000000;*/

    box-shadow: 1px 1px 5px 0 #7c7c7c;
    line-height: 1.5em;
}

#sidebar-wrapper.toggled {
    overflow: hidden;
    width: 0;
    flex-grow: 0;
    visibility: hidden;
}

#sidebar-content {
    min-width: 275px;
}

#sidebar-content .accordion-heading {
}


#page-content-wrapper {
    order: 2;
    flex-grow: 1;
    background-color: transparent;
    padding: 0;
    margin: 0;
    min-width: 320px;
    max-width: calc(100% - 275px);
    min-height: 100%;
    height: 100%;
    overflow: hidden;
}

.full-width {
    width: 100%;
    max-width: 100% !important;
}


#bar-content-wrapper {
    display: flex;
    width: 100%;
    justify-content: space-between;
    flex-wrap: nowrap;
    padding: 4px 0;
    margin: 0;
    align-items: center;
    background-color: #ffffff;
    /*color: #333333;*/

    /*padding-top: 4px;*/
    /*padding-bottom: 4px;*/

    box-shadow: 1px 1px 5px 0 #7c7c7c;
}

#bar-content-wrapper i:hover {
    color: #fbd44a;
}

#bar-content-left {
    display: flex;
    flex: 1 0 auto;
    justify-content: flex-start;
    align-items: center;
    padding-right: 4px;
}

#bar-content-right {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex: 0 1 auto;
    font-size: 2rem;
    padding-right: 1rem;
}

#bar-content-right > div {
    margin-left: 1rem;
}

#menu-toggle {
    margin-left: 4px;
    margin-right: 4px;
    width: 45px;
    font-size: 2rem;
    text-align: center;
    vertical-align: middle;
}

#main {
    min-width: 300px;
    min-height: 100%;
    padding-top: 15px;

}


#logo_container {
    margin-top: 1rem;
    width: 100%;
    overflow: hidden;
    background-color: #FFFFFF;

    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}

#logo_container div:first-child {
    margin-right: 4px;
}

.left-menu-icon {
    display: inline-block;
    color: inherit;
    font-weight: bold;
    margin-right: 2px;
    width: 24px;
    text-align: center;
}

.left-menu-icon-sub {
    display: inline-block;
    /*color: white;*/
    font-weight: bold;
    margin-right: 2px;
    width: 24px;
    text-align: center;
    font-size: 0.875rem;
}

.left-menu-label {
    display: inline-block;
    font-weight: normal;
    /*color: white;*/
}

.left-menu-sub-label {
    font-weight: lighter;
    font-size: 0.875rem;
    /*color: #e9ecef;*/
}

.left-menu-link-icon {
    margin-left: 0.8em;
    font-weight: bold;
}

.left-menu-line {
    padding-left: 30px;
    cursor: pointer;
}

.left-menu-blank-link {
    margin-left: 0.8em;
}

.left-menu-detail-separator {
    margin: 0 50px 0 30px;
    padding: 0;
    border-top: 2px dashed darkgray;
}

.left-menu-line:hover {
    background-color: #FD8C2E;
    color: #ffffff;
    font-weight: normal;
}


.spin-slow {
    -webkit-animation: fa-spin 6s infinite linear;
    animation: fa-spin 6s infinite linear;
}

.spin-fast {
    -webkit-animation: fa-spin 0.75s infinite linear;
    animation: fa-spin 0.75s infinite linear;
}

/*** Meter *********************************************************/
/* Div parent avec label */
.password-meter-container {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-content: center;
}

.password-meter-container * {
    margin-right: 4px;
}

meter {
    /* Reset the default appearance */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    margin: 0.25rem auto 1em;
    width: 40px;
    height: 0.5rem;
    /*margin-top: 0.25rem;*/

    /* Applicable only to Firefox */
    /*background: none;*/
    background-color: rgba(0, 0, 0, 0.1);
}

meter::-webkit-meter-bar {
    /*background: none;*/
    background-color: rgba(0, 0, 0, 0.1);
}

meter[value="1"] {
    background: #D7314C;
}

meter[value="2"] {
    background: #FCBD43;
}

meter[value="3"] {
    background: #2CA2B4;
}

meter[value="4"] {
    background: #359D4D;
}

/*****************************************************************************************/

/**** Breadcrumb *************************************************************************/
#breadcrumb {
    color: #555555;
    font-size: 1.5rem;
    line-height: 1.5em;
}

.breadcrumb {
    background-color: transparent;
    padding: 0;
    margin-bottom: 1rem;
}

.breadcrumb .breadcrumb-item {
    margin: 0;
    padding: 0;
}

.breadcrumb .breadcrumb-item + .breadcrumb-item::before {
    /*color: black;*/
    content: "> ";
    white-space: pre;
    padding-right: 0;
    padding-left: 0.5rem;
}

.breadcrumb-item.active {
    /*color: black;*/
}

.breadcrumb-item-icon {
    margin-right: 0.5rem;
}

/***************************************************************************************/


/**** DataList *************************************************************************/


.table-bordered {
    border-spacing: 0;
    border-collapse: collapse;
}

.table-bordered thead td, .table-bordered thead th {
    background-color: dimgrey;
    color: white;
    white-space: nowrap;
    padding: .5rem .75rem .5rem .75rem;
    border: 1px solid dimgrey;

}

.table-bordered td {
    border-bottom: 1px solid dimgrey;
    padding: .5rem .75rem .5rem .75rem
}

.table-bordered td:first-child {
    border-left: 1px solid dimgrey;
}

.table-bordered td:last-of-type {
    border-right: 1px solid dimgrey;
}

/***************************************************************************************/

/**** Multiselect *************************************************************************/

.multiselect-container {
    background-color: white;;
    color: black;
    width: 100%;
    height: 200px;
    overflow-y: auto;
    border-radius: 0 0 9px 9px;
}

.multiselect-container *:focus {
    outline: none;
}

.multiselect-container > li {
    padding-right: 10px;
}

.multiselect-container label {
    overflow: hidden;
    text-overflow: ellipsis;
}

button.multiselect {
    background-color: white;
    color: #4B5157;
    border-color: #CDD3D8
}

.multiselect-container > li > a > label {
    padding: 0 0 3px 40px
}

/***************************************************************************************/

.btn-toolbar {
    margin-top: .75rem;
    margin-bottom: .75rem;
}

.btn-toolbar button {
    min-width: 150px;
}

.btn-toolbar > button + button {
    margin-left: 1rem;
}

/* Icone plus texte, on espace */
.btn i {
    margin-right: .5rem;
}

/* icone seul */
.btn-icon-only {
    height: 1.625rem;
    width: 1.625rem;
    text-align: center;
    padding: 0;
}

.btn-icon-only + .btn-icon-only {
    margin-left: 8px;
}

span + i,
i + span,
span + .btn,
.btn + span {
    margin-left: 10px;
}

.btn-icon-only i {
    margin: 0;
    /*font-size: 0.875rem;*/
    font-size: 1rem;

}

#main > .card {
    min-width: 580px;
}


/*
    Card-> sur fond grix
    Card section sous card avec bordure

*/
.card {
    margin-bottom: 1rem;
    box-shadow: 1px 1px 5px 0 #7c7c7c;
    padding: 0;
}

.card .card-header {
    font-weight: bold;
    /*background-color: #f2f2f2;*/
    font-size: 1.25rem;
    padding-left: 1rem;
}

.card .card-body {
    /*border: 1px solid #d4d4d4;*/
}

.card .card {
    margin-bottom: 1rem;
    border: 1px solid #d4d4d4;
    box-shadow: none;
    background: white;
}

.card .card:last-child {
    margin-bottom: 0;
}

.card .card .card-header {
    font-weight: bold;
    background-color: #f2f2f2;
    font-size: 1.25rem;
    padding-left: 1rem;
}

.card .card .card-body {
    border-color: #d4d4d4;
    border-width: 0 1px 1px 1px;
}

.card-header .btn-icon-only {
    margin-top: -15px !important;
    margin-bottom: -12px !important;
}

/******TABS      ****************************************************************/

.nav {
    margin: .625rem 0 .625rem 0;
}

.nav-tabs {
    /*border-bottom-color: #245B74;*/
    border-bottom: 3px solid #f2f2f2;
    background-color: transparent;
    font-size: 1.25rem;
}

.nav-tabs .nav-item {
    margin-left: 0;
    margin-right: 0;
    padding-right: .625rem;
    padding-left: .625rem;
    border-radius: 0;
    /*border-left: 1px solid lightgrey !important;*/
}

.nav-tabs .nav-item:first-child {
    margin-left: 0;
    margin-right: 0;
    padding-right: 0;
    padding-left: 0;
}

.nav-tabs .nav-item:last-child {
    margin-left: 0;
    margin-right: 0;
    padding-right: 0;
    padding-left: 0;
    /*border-right: 1px solid lightgrey !important;*/

}

.nav-tabs .nav-link {
    background-color: transparent;
    min-width: 120px;
    text-align: center;
    border-left: 0;
    border-right: 0;
    border-top: 0;
    border-bottom: 3px solid lightgrey;
}

.nav-tabs .nav-link:hover {
    /*border-color: #f2f2f2;*/
    /*border-left: 1px solid lightgrey !important;*/
    border-color: #FD8C2E;
    color: #FD8C2E;
}


.nav-tabs .nav-link.active {
    background-color: transparent;
    /*font-weight: bold;*/
    border-color: #f2f2f2;
    border-bottom: 3px solid #FD8C2E;
    color: #FD8C2E;
}

.tab-pane {
}

/***************************************************************************************/

/* Datalist */
.data-list-title-container {
    font-size: 1.025rem;
    font-weight: bold;
}

.col-form-label {
    font-weight: bold;
}

.form-group label.form-check-label {
    font-weight: normal;
}

fieldset {
    width: 100%;
    border: 1px solid lightgrey;
    padding: 0 5px;
    border-radius: 3px;
}

fieldset + fieldset {
    margin-top: 15px;
}

fieldset legend {
    margin: 0 10px 10px 0;
    padding: 0 5px;
    width: auto;
    font-size: 1.25rem;

}

.form-group {
    margin-bottom: 0.5rem;
}

.modal-body {
    line-height: 20px;
}

.redstar {
    position: relative;
    bottom: 1px;
    font-size: .6rem;
    line-height: .6rem;
    vertical-align: super;
    text-decoration: none;
    color: red;
    margin-left: 0.5em;
}

.datepicker td, .datepicker th {
    padding: 7px;
}

.evode-label {
    display: block;
    font-size: 1rem;
    height: 33px;
    text-align: center;
    border-radius: 3px;
    font-weight: bold;
    line-height: calc(1rem + 20px);
}

td .evode-label {
    display: block;
    font-size: 0.875rem;
    height: auto;
    width: auto;
    max-width: 120px;
    padding: 2px 0;
    text-align: center;
    border-radius: 3px;
    font-weight: bold;
    line-height: calc(1rem);
}

.modal-content > .card {
    margin: 0;
}

.card-body .btn-toolbar {
    margin-bottom: 0;
}

table .form-control {
    height: 20px;
    text-align: right;
    padding-right: 2px;
}

table .input-group-text {
    text-align: center;
    height: 20px;
    padding-right: 5px;
    padding-left: 5px;
}

.is-invalid {
    border: 1px solid #dc3545;
    border-radius: 3px;
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23dc3545' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
    background-repeat: no-repeat;
    background-position: center right calc(.375em + .1875rem);
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.title {
    font-weight: bold;
    height: 15px;
    margin: 20px 0;
    background-color: lightgrey;
}

.title div {
    height: 15px;
    background-color: white;
    padding-right: 15px;
}

.box {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    border-radius: 4px;
    flex: 0 0 auto;
    height: 120px;
    width: calc(25% - 20px);
    min-width: 330px;
    margin: 10px;
    background-color: white;
    box-shadow: 1px 1px 5px 0 #7c7c7c;
}

.box .synthese {
    /*display: inline-block;*/
    border-right: 1px solid black;
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    height: 100%;
    width: 100px;
    text-align: center;
    color: white;
}

.box .synthese .logo {
    font-size: 30px;
    padding-top: 30px;
    line-height: 45px;
}

.box .details {
    /*background-color: red;*/
    padding: 10px;
    height: 100%;
    width: calc(100% - 100px);
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}
